CRAN Package Check Results for Package r2dRue

Last updated on 2014-07-22 11:51:23.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 1.0.4 1.53 21.34 22.87 NOTE
r-devel-linux-x86_64-debian-gcc 1.0.4 1.44 21.20 22.64 NOTE
r-devel-linux-x86_64-fedora-clang 1.0.4 50.88 NOTE
r-devel-linux-x86_64-fedora-gcc 1.0.4 47.77 NOTE
r-devel-osx-x86_64-clang 1.0.4 43.21 NOTE
r-devel-windows-ix86+x86_64 1.0.4 6.00 33.00 39.00 NOTE
r-patched-linux-x86_64 1.0.4 1.48 21.60 23.08 NOTE
r-patched-solaris-sparc 1.0.4 272.70 NOTE
r-patched-solaris-x86 1.0.4 71.60 NOTE
r-release-linux-ix86 1.0.4 1.97 28.87 30.84 NOTE
r-release-linux-x86_64 1.0.4 1.52 22.35 23.86 NOTE
r-release-osx-x86_64-mavericks 1.0.4 ERROR
r-release-osx-x86_64-snowleopard 1.0.4 NOTE
r-release-windows-ix86+x86_64 1.0.4 5.00 35.00 40.00 NOTE
r-oldrel-windows-ix86+x86_64 1.0.4 5.00 36.00 41.00 NOTE

Check Details

Version: 1.0.4
Check: dependencies in R code
Result: NOTE
    'library' or 'require' call to ‘rgdal’ which was already attached by Depends.
     Please remove these calls from your code.
    Packages in Depends field not imported from:
     ‘matrixStats’ ‘rgdal’ ‘sp’
     These packages need to be imported from (in the NAMESPACE file)
     for when this namespace is loaded but not attached.
    See the information on DESCRIPTION files in the chapter ‘Creating R
    packages’ of the ‘Writing R Extensions’ manual.
Flavors: r-devel-linux-x86_64-debian-clang, r-devel-linux-x86_64-debian-gcc, r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-devel-osx-x86_64-clang, r-devel-windows-ix86+x86_64, r-patched-linux-x86_64, r-patched-solaris-sparc, r-patched-solaris-x86, r-release-linux-ix86, r-release-linux-x86_64, r-release-windows-ix86+x86_64, r-oldrel-windows-ix86+x86_64

Version: 1.0.4
Check: package dependencies
Result: ERROR
    Package required but not available: ‘rgdal’
    
    See the information on DESCRIPTION files in the chapter ‘Creating R
    packages’ of the ‘Writing R Extensions’ manual.
Flavor: r-release-osx-x86_64-mavericks

Version: 1.0.4
Check: dependencies in R code
Result: NOTE
    'library' or 'require' call to 'rgdal' which was already attached by Depends.
     Please remove these calls from your code.
    See the information on DESCRIPTION files in the chapter 'Creating R
    packages' of the 'Writing R Extensions' manual.
Flavor: r-release-osx-x86_64-snowleopard